Skip to main content
GET
/
payrolls
List payrolls
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/payrolls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/payrolls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/payrolls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 6,
        "period_label": "6",
        "period_start": "2026-06-01",
        "period_end": "2026-06-30",
        "pay_date": "2026-06-30",
        "original_pay_date": "2026-06-30",
        "debit_date": "2026-06-25",
        "approval_due_at": "2026-06-25T20:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": false,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 7,
        "period_label": "7",
        "period_start": "2026-07-01",
        "period_end": "2026-07-31",
        "pay_date": "2026-07-31",
        "original_pay_date": "2026-07-31",
        "debit_date": "2026-07-28",
        "approval_due_at": "2026-07-28T20:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": false,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 8,
        "period_label": "8",
        "period_start": "2026-08-01",
        "period_end": "2026-08-31",
        "pay_date": "2026-08-31",
        "original_pay_date": "2026-08-31",
        "debit_date": "2026-08-26",
        "approval_due_at": "2026-08-26T20:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": false,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 9,
        "period_label": "9",
        "period_start": "2026-09-01",
        "period_end": "2026-09-30",
        "pay_date": "2026-09-29",
        "original_pay_date": "2026-09-30",
        "debit_date": "2026-09-24",
        "approval_due_at": "2026-09-24T20:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": true,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 10,
        "period_label": "10",
        "period_start": "2026-10-01",
        "period_end": "2026-10-31",
        "pay_date": "2026-10-30",
        "original_pay_date": "2026-10-31",
        "debit_date": "2026-10-27",
        "approval_due_at": "2026-10-27T20:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": true,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 11,
        "period_label": "11",
        "period_start": "2026-11-01",
        "period_end": "2026-11-30",
        "pay_date": "2026-11-30",
        "original_pay_date": "2026-11-30",
        "debit_date": "2026-11-25",
        "approval_due_at": "2026-11-25T21:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": false,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 12,
        "period_label": "12",
        "period_start": "2026-12-01",
        "period_end": "2026-12-31",
        "pay_date": "2026-12-31",
        "original_pay_date": "2026-12-31",
        "debit_date": "2026-12-24",
        "approval_due_at": "2026-12-24T21:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": false,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "payroll",
      "data": {
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "pay_schedule": {
          "id": "<id>",
          "object": "pay_schedule",
          "links": {
            "self": "/pay_schedules/<id>"
          }
        },
        "type": "regular",
        "period_number": 1,
        "period_label": "1",
        "period_start": "2027-01-01",
        "period_end": "2027-01-31",
        "pay_date": "2027-01-29",
        "original_pay_date": "2027-01-31",
        "debit_date": "2027-01-26",
        "approval_due_at": "2027-01-26T21:30:00.000000Z",
        "regular_periods_count": 12,
        "is_impacted_by_weekend_or_holiday": true,
        "is_blocked_by_draft": true,
        "note": null,
        "employee_summary": {
          "gross": null,
          "subtractions": null,
          "reimbursements": null,
          "net": null
        },
        "contractor_summary": {
          "gross": null,
          "reimbursements": null,
          "net": null
        },
        "company_summary": {
          "taxes_and_contributions": null,
          "benefits": null,
          "total": null
        },
        "liability": null,
        "cash_requirement": null,
        "status": "draft",
        "approved_at": null,
        "is_stale": false,
        "stale_since": null,
        "source_payroll": null,
        "warnings": {
          "object": "list",
          "data": []
        },
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/payrolls/<id>"
      }
    }
  ],
  "links": {
    "first": "/payrolls?business_entity_id=<id>&period_start%5Bgte%5D=2026-06-01&page=1",
    "last": "/payrolls?business_entity_id=<id>&period_start%5Bgte%5D=2026-06-01&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 8,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_entity_id
string

The business_entity_id field is required when pay_schedule_id is not present.

pay_schedule_id
string

The pay_schedule_id field is required when business_entity_id is not present.

next_payrolls
enum<string>

Allows for restricting to only next payrolls, or to exclude any next payrolls. A payroll is the next payroll within a single PaySchedule, if it has a status of draft, approved, processing, or failed.

If an off_cycle payroll has been created, the next off_cycle payroll with a status of draft, approved, processing, or failed will also be returned by default.

Available options:
exclude,
only
source_payroll_in_year
string

If a year is passed, the payrolls will be restricted to only those which can be used as the source_payroll_id on an off_cycle payroll.

type
Available options:
correction,
historical,
off_cycle,
regular
status

Filter by payroll status. Supports multiple comma-separated values, for example status=draft,approved,processing. The partially_paid status is deprecated and matches no payrolls.

Available options:
approved,
draft,
failed,
paid,
partially_paid,
processing
period_start
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: period_start=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: period_start[gte]=2024-01-01&period_start[lt]=2024-12-31
period_end
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: period_end=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: period_end[gte]=2024-01-01&period_end[lt]=2024-12-31
pay_date
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: pay_date=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: pay_date[gte]=2024-01-01&pay_date[lt]=2024-12-31
external_ref
string
sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
pay_date,
pay_schedule_id,
period_end,
period_start
expand
enum<string>[]
Available options:
business_entity,
pay_schedule,
pay_stubs,
source_payroll

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]